## org.hibernate.util
Class NamingHelper

    java.lang.Object
      org.hibernate.util.NamingHelper

    public final class NamingHelper

extends Object

Method Summary
`static void` `bind(Context ctx, String name, Object val)` Bind val to name in ctx, and make sure that all intermediate contexts exist.
`static InitialContext` `getInitialContext(Properties props)`
`static Properties` `getJndiProperties(Properties properties)` Transform JNDI properties passed in the form `hibernate.jndi.*` to the format accepted by `InitialContext` by triming the leading "`hibernate.jndi`".

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInitialContext

    public static InitialContext getInitialContext(Properties props)
                                            throws NamingException

  Throws:
    `NamingException`

### bind

    public static void bind(Context ctx,
                            String name,
                            Object val)
                     throws NamingException

  Bind val to name in ctx, and make sure that all intermediate contexts exist.

  Parameters:
    `ctx` - the root context
    `name` - the name as a string
    `val` - the object to be bound
  Throws:
    `NamingException`

### getJndiProperties

    public static Properties getJndiProperties(Properties properties)

  Transform JNDI properties passed in the form `hibernate.jndi.*` to the format accepted by `InitialContext` by triming the leading "`hibernate.jndi`".

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.